Bug 1012478 - zanata translation had to be applied to form modeler System Field types forms
zanata translation had to be applied to form modeler System Field types forms
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Form Modeler (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER5
: 6.0.0
Assigned To: Pere Fernàndez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 10:20 EDT by Neus Miras
Modified: 2014-08-06 16:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neus Miras 2013-09-26 10:20:18 EDT
The system forms defined for the different field types include the translations adhoc. This forms labels and help text had to use zanata system for translation.
Comment 2 Pedro Zapata 2013-09-30 11:09:10 EDT
This prevents the field properties to be translated in Zanata. The solution will also allow to translate user defined forms by adding an optional resource bundle to the form definition.
Comment 3 Pere Fernàndez 2013-10-02 13:01:42 EDT
Enabled zanata translations for platform forms.

Commits (master): https://github.com/droolsjbpm/jbpm-form-modeler/commit/0bb94ddd3202952cb3d275332f7b3408f02fc72c

Commits (6.0.x): https://github.com/droolsjbpm/jbpm-form-modeler/commit/e75529377eaad8469aaa7defe5a3e316b6d04809

Waiting to zanata team to translate the new resources.
Comment 5 Pere Fernàndez 2013-10-07 06:32:53 EDT
Waiting to zanata team to translate the new resources.
Comment 6 Jan Hrcek 2014-01-07 08:26:06 EST
Ok, verified the presence of fix in BPMS 6.0.0 ER7 and also checked, that switching locale in business central enables the respective language in the form modeler form field properties.

Note You need to log in before you can comment on or make changes to this bug.